boost error for linux source - looking in the wrong place?

Beeblebrox zaphod at berentweb.com
Tue Nov 13 00:28:10 UTC 2012


OK, I got lua >= 5.1 installed on the system. Running configure gives same
error. This source code is looking in all the wrong places for everything. 
I have also done "*setenv USE_PKGCONFIG yes*" prior to ./configure.

configure: error: "BOOST library is missing"
checking for mysql headers and libraries...
CFLAGS="-I/usr/local/include/mysql -pipe -fno-strict-aliasing -g"  
LIBS="-L/usr/local/lib/mysql -lmysqlclient_r  -pthread -lz -lm"
checking for LIBUUID... yes
checking for LUA... no
checking for LUA... configure: error: Package requirements (lua >= 5.1) were
not met:

Package lua was not found in the pkg-config search path.
Perhaps you should add the directory containing `lua.pc'
to the PKG_CONFIG_PATH environment variable
No package 'lua' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables LUA_CFLAGS
and LUA_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.





--
View this message in context: http://freebsd.1045724.n5.nabble.com/boost-error-for-linux-source-looking-in-the-wrong-place-tp5759953p5760413.html
Sent from the freebsd-ports mailing list archive at Nabble.com.


More information about the freebsd-ports mailing list